package beta;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class HandlerServlet
 */
@WebServlet(name = "HandlerServlet", urlPatterns = {"/ServletHandler"}, initParams = {
	    @WebInitParam(name = "debug", value = "1")})
public class HandlerServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
    private boolean moetGelogdWorden = false;       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public HandlerServlet() {

    }

	@Override
	public void init() throws ServletException {
		moetGelogdWorden = "1".equals(getInitParameter("debug"));
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	    String naam = request.getParameter("txtNaam");
        if (moetGelogdWorden) {
            Logger logger = Logger.getLogger("servlets.HandlerServlet");
            logger.info("naam = " + naam);
        }

        String geslacht = request.getParameter("rbGeslacht");
        request.setAttribute("naam", naam);
        if ("m".equals(geslacht)) {
            request.getRequestDispatcher("man.jsp").forward(request, response);
        } else {
            request.getRequestDispatcher("vrouw.jsp").forward(request, response);
        }
	}

}
